Bug Hunting Session
Bug 104204 - irritating disfunctions in the table selecting
Summary: irritating disfunctions in the table selecting
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Writer-Tables Writer-Tables-Select
  Show dependency treegraph
 
Reported: 2016-11-27 15:54 UTC by jlbraga
Modified: 2019-05-19 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Table spanning 2 pages (12.23 KB, application/vnd.oasis.opendocument.text)
2016-11-29 19:45 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jlbraga 2016-11-27 15:54:08 UTC
You try to select a table that extends through 2 different pages. You highlight it all, and if you try to right-click it in the SECOND page, to access the options, the menu doesn't appear and the selection disappears.

If you try to select it bottom-up and right->left, you don't access the cells on the left, and what happens is that the writing cursor gets going up...
Comment 1 Buovjaga 2016-11-29 19:45:16 UTC
Created attachment 129139 [details]
Table spanning 2 pages

I repro the losing of the selection, but you have to right-click inside a cell, that is higher than the default.
I don't repro the non-appearance of context menu.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 368de904974b18dc5a8d237e046c0ed005f7c85d
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 26th 2016
Comment 2 Telesto 2017-07-08 17:40:13 UTC
Confirming comment 1 with:
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 QA Administrators 2018-07-09 02:36:14 UTC Comment hidden (obsolete)
Comment 4 Jim Raykowski 2019-05-11 18:19:50 UTC
I repro selection is lost when right click is on the continuing page row extension.

Here is a patch that makes selection remain when this happens:
https://gerrit.libreoffice.org/#/c/72159/
Comment 5 Buovjaga 2019-05-12 16:54:51 UTC
(In reply to Jim Raykowski from comment #4)
> I repro selection is lost when right click is on the continuing page row
> extension.
> 
> Here is a patch that makes selection remain when this happens:
> https://gerrit.libreoffice.org/#/c/72159/

I confirm that the patch fixes the problem!
Comment 6 Jim Raykowski 2019-05-13 01:29:46 UTC
(In reply to Buovjaga from comment #5)

> I confirm that the patch fixes the problem!

Thanks for testing the patch!
Comment 7 Commit Notification 2019-05-13 01:32:49 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ccf3a0600ee902390ad6112ecf28223078bdd2db%5E%21

tdf#104204 Keep selection when context menu is opened on extended row

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.